Name:           aws-checksums
Version:        0.1.12
Release:        1%{?dist}
Summary:        Efficient CRC32c and CRC32 implementations

License:        Apache-2.0
URL:            https://github.com/awslabs/%{name}
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch:          fix-cmake-path.patch

BuildRequires:  aws-c-common-devel
BuildRequires:  cmake
BuildRequires:  gcc

%description
Cross-Platform HW accelerated CRC32c and CRC32 with 
fallback to efficient SW implementations. C interface
with language bindings for each of our SDKs

%package devel
Summary:        aws-checksums development headers
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files and libraries for aws-checksums

%prep
%autosetup -p1


%build
%cmake
%cmake_build


%install
%cmake_install


%files
%license LICENSE
%doc README.md
%{_libdir}/libaws-checksums.so.1.0.0

%files devel
%dir %{_includedir}/aws
%dir %{_includedir}/aws/checksums
%{_includedir}/aws/checksums/*.h
%dir %{_libdir}/cmake/aws-checksums
%{_libdir}/cmake/aws-checksums/*.cmake
%dir %{_libdir}/cmake/aws-checksums/shared
%{_libdir}/cmake/aws-checksums/shared/*.cmake
%{_libdir}/libaws-checksums.so

%changelog
* Tue Sep 26 2023 Benson Muite <benson_muite@emailplus.org> - 0.1.12-1
- Initial import
